> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1credentials authinit



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Credentials//swagger/v1/swagger.json get /api/v1/credentials/{provider}/auth/init
openapi: 3.0.0
info:
  title: NDS.Services.Credentials
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Credentials/
security: []
paths:
  /api/v1/credentials/{provider}/auth/init:
    get:
      tags:
        - Credentials
      operationId: Credentials_InitAuth
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
          x-position: 1
        - name: origin
          in: query
          schema:
            type: string
          x-position: 2
        - name: appRegistrationId
          in: query
          schema:
            type: string
          x-position: 3
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitAuthResult'
components:
  schemas:
    InitAuthResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            AuthUrl:
              type: string
            State:
              type: string
            CodeVerifier:
              type: string
            RedirectUri:
              type: string
            PortalUri:
              type: string
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````